#include "LQ12864.h"
#include "math.h"



#ifdef WB_LCD
	sbit OLED_SCL	= P2^6;
	sbit OLED_SDA	= P0^0;
	sbit OLED_RST	= P0^1;
	sbit OLED_DC 	= P0^2;
	sbit OLED_CS	= P0^3;
#endif
#ifdef ZM1_0
	sbit OLED_SCL	= P2^4;
	sbit OLED_SDA	= P2^3;
	sbit OLED_RST	= P2^2;
	sbit OLED_DC 	= P2^1;
	sbit OLED_CS	= P2^0;
#endif
#ifdef XJ_OLD
	sbit OLED_SCL	= P2^4;
	sbit OLED_SDA	= P2^3;
	sbit OLED_RST	= P2^2;
	sbit OLED_DC 	= P2^1;
	sbit OLED_CS	= P2^0;
#endif
#ifdef XJ_NEW
	sbit OLED_SCL	= P2^4;
	sbit OLED_SDA	= P2^3;
	sbit OLED_RST	= P2^2;
	sbit OLED_DC 	= P2^1;
	sbit OLED_CS	= P2^0;
#endif
#ifdef ZM1_2
	sbit OLED_SCL	= P2^1;
	sbit OLED_SDA	= P2^3;
	sbit OLED_RST	= P2^2;
	sbit OLED_DC 	= P2^0;
	sbit OLED_CS	= P2^4;
#endif
/*ʱ*/
void delay(int i)
{
int j,k;
for(j=0;j<i;j++)
for(k=0;k<220;k++);
}

void OLED_WrDat(unsigned char dat)
{
	unsigned char i=8;
	EA = 0;
	OLED_CS=0;;
	OLED_DC=1;
  OLED_SCL=0;
  _nop_();    
  while(i--)
  {
    if(dat&0x80){OLED_SDA=1;}
    else{OLED_SDA=0;}
    OLED_SCL=1; 
    _nop_();;
		_nop_();            
    OLED_SCL=0;;    
    dat<<=1;    
  }
	OLED_CS=1;
	EA = 1;
}
void OLED_WrCmd(unsigned char cmd)
{
	unsigned char i=8;
	EA = 0;
	OLED_CS=0;;
	OLED_DC=0;;
	OLED_SCL=0;;
	_nop_();   
  while(i--)
  {
    if(cmd&0x80){OLED_SDA=1;}
    else{OLED_SDA=0;;}
    OLED_SCL=1;;
    _nop_();;
	_nop_();             
    OLED_SCL=0;;    
    cmd<<=1;;   
  } 	
	OLED_CS=1;
	EA = 1;
}

void OLED_Set_Pos(unsigned char x, unsigned char y)
{ 
	#if SCREEN!=2
	{
		OLED_WrCmd(0xb0+y);
		OLED_WrCmd((x&0x0f)); 
		OLED_WrCmd(((x&0xf0)>>4)|0x10);
	}
	#else
	{
		OLED_WrCmd(0xb0+y); 
		OLED_WrCmd(((x>>4)&0x0f)+0x10); //еַĸ 4 λ
		OLED_WrCmd(x&0x0f); //еַĵ 4 λ 
	}
	#endif
} 
void OLED_Fill(unsigned char bmp_data)
{
	unsigned char y,x;
	
	for(y=0;y<8;y++)
	{
		OLED_WrCmd(0xb0+y);
		OLED_WrCmd(0x01);
		OLED_WrCmd(0x10);
		for(x=0;x<X_WIDTH;x++)
			OLED_WrDat(bmp_data);
	}
}
void OLED_CLS(void)
{
	unsigned char y,x;	
	for(y = 0;y < 8;y++)
	{
		OLED_WrCmd(0xb0+y);
		OLED_WrCmd(0x01);
		OLED_WrCmd(0x10); 
		for(x=0;x < 128;x++)
			OLED_WrDat(0);
		OLED_WrCmd(0xe3);//(nop)
	}
	OLED_WrCmd(0xe3);//(nop)
	
}

void OLED_Init(void)        
{  
	#if SCREEN==2 //lcd
	{
		OLED_CS=0;
		OLED_RST=0; //͵ƽλ
		delay(100);
		OLED_RST=1; //λ
		delay(20);
		OLED_WrCmd(0xe2); //λ
		delay(5);
		OLED_WrCmd(0x2c); //ѹ 1
		delay(5);
		OLED_WrCmd(0x2e); //ѹ 2
		delay(5);
		OLED_WrCmd(0x2f); //ѹ 3
		delay(5);
		OLED_WrCmd(0x23); //ֵԱȶȣ÷Χ 0x200x27
		OLED_WrCmd(0x81); //΢Աȶ
		OLED_WrCmd(0x00+FAC_DATA_Table.Adjust_s.Lightness>>2); //0x1a,΢Աȶȵֵ÷Χ 0x000x3f
		OLED_WrCmd(0xa1); //1/9 ƫѹȣ bias a2
		OLED_WrCmd(0xc8); //ɨ˳򣺴ϵ
		OLED_WrCmd(0xa0); //ɨ˳򣺴
		OLED_WrCmd(0x40); //ʼУһпʼ
		OLED_WrCmd(0xaf); //ʾ
		OLED_CS=1;
	}
	#else
  {  
		OLED_SCL=1;
		OLED_CS=1;	//ԤSLKSSΪߵƽ   	
		
		OLED_RST=0;
		Delay_ms(50);
		OLED_RST=1;
		
		OLED_WrCmd(0xae);//رOLED
		OLED_WrCmd(0x00);//--õеַ
		OLED_WrCmd(0x10);//--õеַ
		OLED_WrCmd(0x40);//--ʼеַ ӳRAMʾʼ(0x00~0x3F)
		OLED_WrCmd(0x81);//--öԱȿƼĴ
		OLED_WrCmd(FAC_DATA_Table.Adjust_s.Lightness);//ȡֵ0x00-0xff00ff//7f
		OLED_WrCmd(0xcf); // SEG
		OLED_WrCmd(0xa1);//--Set SEG/Column Mapping     0xa0ҷ 0xa1
		OLED_WrCmd(0xc8);//Set COM/Row Scan Direction   0xc0· 0xc8
		OLED_WrCmd(0xa6);//--ʾ
		OLED_WrCmd(0xa8);//--趨ñ(1 to 64)
		OLED_WrCmd(0x3f);//--1/64 duty
		OLED_WrCmd(0xd3);//-ʾƫ	λӳRAM	(0x00~0x3F)
		OLED_WrCmd(0x00);//-(ƶ)
		OLED_WrCmd(0xd5);//-- ʾʱӷƵ/Ƶ
		OLED_WrCmd(0x80);//--÷ƵȣʱΪ100֡/
		OLED_WrCmd(0xd9);//--Ԥʱ
		OLED_WrCmd(0xf1);//ԤΪ15ʱ&ŵ1ʱ
		OLED_WrCmd(0xda);//--COMλӲ
		OLED_WrCmd(0x12);
		OLED_WrCmd(0xdb);//--set vcomh
		OLED_WrCmd(0x40);//Set VCOM Deselect Level
		OLED_WrCmd(0x20);//-Set Page Addressing Mode (0x00/0x01/0x02)
		OLED_WrCmd(0x02);//
		OLED_WrCmd(0x8d);//--set Charge Pump enable/disable
		OLED_WrCmd(0x14);//--set(0x10) disable
		OLED_WrCmd(0xa4);// Disable Entire Display On (0xa4/0xa5)
		OLED_WrCmd(0xa6);// Disable Inverse Display On (0xa6/a7) 
		OLED_WrCmd(0xaf);//--turn on oled panel
		OLED_Fill(0x00);  //ʼ
		OLED_Set_Pos(0,0);  
  }	
	#endif
} 

/*
*	Ļ
*	ֵΪ0~255
*/
void Screen_Contrast(unsigned int dat)
{
	#if SCREEN!=2
	{
		OLED_WrCmd(0x81);//
		OLED_WrCmd(dat);//
	}
	#else
	{
		OLED_WrCmd(0x23); //ֵԱȶȣ÷Χ 0x200x27
		OLED_WrCmd(0x81); //΢Աȶ
		OLED_WrCmd(0x00+dat>>2); //0x1a,΢Աȶȵֵ÷Χ 0x000x3f
		OLED_WrCmd(0xa2); //1/9 ƫѹȣ bias a2
		OLED_WrCmd(0xc8); //ɨ˳򣺴ϵ
		OLED_WrCmd(0xa0); //ɨ˳򣺴
		OLED_WrCmd(0x40); //ʼУһпʼ
	}
	#endif
}
//==============================================================
//OLED_P6x8Str(unsigned char x,unsigned char y,unsigned char *p)
//дһ׼ASCIIַ
//ʾλãx,yyΪҳΧ07Ҫʾַ
//أ
//==============================================================  
void OLED_P6x8Str(unsigned char x,unsigned char y,unsigned char ch[])
{
 unsigned char c=0,i=0,j=0;      
 while (ch[j]!='\0')
 {    
   c =ch[j]-32;
   if(x>128){x=0;y++;}
   OLED_Set_Pos(x,y);    
 	for(i=0;i<6;i++)     
 	  OLED_WrDat(F6x8[c][i]);  
 	x+=6;
 	j++;
 }
}

//==============================================================
//OLED_P8x16KStr(unsigned char x,unsigned char y,unsigned char *p)
//дһ׼ASCIIַ(ȡʾ)
//ʾλãx,yyΪҳΧ07Ҫʾַ
//أ
//==============================================================  
void OLED_P8x16KStr(unsigned char x,unsigned char y,unsigned char ch[])
{
  unsigned char c=0,i=0,j=0;
        
  while (ch[j]!='\0')
  {    
    c =ch[j]-32;
    if(x>122){x=0;y++;}
    OLED_Set_Pos(x,y);    
  	for(i=0;i<8;i++)     
  	  OLED_WrDat(~F8X16[c*16+i]);
  	OLED_Set_Pos(x,y+1);    
  	for(i=0;i<8;i++)     
  	  OLED_WrDat(~F8X16[c*16+i+8]);  
  	x+=8;
  	j++;
  }
}

//==============================================================
//OLED_P8x16Str(unsigned char x,unsigned char y,unsigned char *p)
//дһ׼ASCIIַ
//ʾλãx,yyΪҳΧ07Ҫʾַ
//أ
//==============================================================  
void OLED_P8x16Str(unsigned char x,unsigned char y,unsigned char ch[])
{
  unsigned char c=0,i=0,j=0;
        
  while (ch[j]!='\0')
  {    
    c =ch[j]-32;
    if(x > 122){x=0;y++;}
    OLED_Set_Pos(x,y);    
  	for(i=0;i<8;i++)     
  	  OLED_WrDat(F8X16[c*16+i]);
  	OLED_Set_Pos(x,y+1);    
  	for(i=0;i<8;i++)     
  	  OLED_WrDat(F8X16[c*16+i+8]);  
  	x+=8;
  	j++;
  }
}
//ʾ16x32¶
void OLED_P16x32Temp(unsigned char x,unsigned char y,unsigned char ch[])
{
  unsigned char c=0,i=0,j=0;
        
  while (ch[j]!='\0')
  {    
		if(ch[j]!='`' && ch[j]!='C' && ch[j]!='E' && ch[j]!='R' && ch[j]!='O' && ch[j]!=' ')
			c =ch[j]-48;
		else if(ch[j]=='`')
			c = 10;
		else if(ch[j]=='C')
			c = 11;
		else if(ch[j]=='E')
			c = 12;
		else if(ch[j]=='R')
			c = 13;
		else if(ch[j]=='O')
			c = 14;
		else if(ch[j]==' ')
			c = 15;

    if(x>120)
		{
			x=0;
			//y++;
		}
    OLED_Set_Pos(x,y);    
  	for(i=0;i<16;i++)     
  	  OLED_WrDat(F16X32[c*64+i]);
  	OLED_Set_Pos(x,y+1);    
  	for(i=0;i<16;i++)     
  	  OLED_WrDat(F16X32[c*64+i+16]);  
  	OLED_Set_Pos(x,y+2);    
  	for(i=0;i<16;i++)     
  	  OLED_WrDat(F16X32[c*64+i+32]); 
  	OLED_Set_Pos(x,y+3);    
  	for(i=0;i<16;i++)     
  	  OLED_WrDat(F16X32[c*64+i+48]); 
  	x+=16;
  	j++;
  }
}
#if(BEAT_IMG)
//
//
//ַ
//ȡַ
//
void OLED_P14x16KStr(unsigned char x,unsigned char y,unsigned char ch[])
{
	unsigned char wm=0,ii = 0;
	unsigned int adder=1; 
	
	while(ch[ii] != '\0')
	{
  	wm = 0;
  	adder = 1;
  	while(CHINESE_Idx[wm] > 127)
  	{
  		if(CHINESE_Idx[wm] == ch[ii])
  		{
  			if(CHINESE_Idx[wm + 1] == ch[ii + 1])
  			{
  				adder = wm * 14;
  				break;
  			}
  		}
  		wm += 2;			
  	}
  	if(x>122){x=0;y++;}
  	OLED_Set_Pos(x , y); 
  	if(adder != 1)// ʾ					
  	{
  		OLED_Set_Pos(x , y);
  		for(wm = 0;wm < 14;wm++)               
  		{
  			OLED_WrDat(~(F14x16[adder]|0x01));//ϻ
  			adder += 1;
  		}      
  		OLED_Set_Pos(x,y + 1); 
  		for(wm = 0;wm < 14;wm++)          
  		{
  			OLED_WrDat(~(F14x16[adder]|0x40));//»
  			adder += 1;
  		}   		
  	}
  	else			  //ʾհַ			
  	{
  		ii += 1;
      OLED_Set_Pos(x,y);
  		for(wm = 0;wm < 16;wm++)
  		{
  				OLED_WrDat(0);
  		}
  		OLED_Set_Pos(x,y + 1);
  		for(wm = 0;wm < 16;wm++)
  		{   		
  				OLED_WrDat(0);	
  		}
  	}
  	x += 14;
  	ii += 2;
	}
}

#endif

//ַ

void OLED_P16x16KStr(unsigned char x,unsigned char y,unsigned char ch[])
{
	unsigned char str_offset = 0,ii = 0;//
	unsigned int adder = 1; //Ӧ
	
	while(ch[ii] != '\0')//ַǷβ
	{
		str_offset = 0;	//ַƫ
		adder = 1;		//ʼ
		/*
		* 	㺺
		*/
		while(CHINESE_Idx[str_offset] > 127)//жǷΪֵASCIIֵ
		{
			if(CHINESE_Idx[str_offset] == ch[ii])
			{
				if(CHINESE_Idx[str_offset + 1] == ch[ii + 1])
				{
					adder = str_offset * CHINESE_WIDE;//adder ȡ
					break;//
				}
			}
			str_offset += 2;//	ƫ		
		}
		if(x>122){x=0;y++;}
		OLED_Set_Pos(x , y); 
		if(adder != 1)// ʾ					
		{
			OLED_Set_Pos(x , y);//ǰʾ
			for(str_offset = 0;str_offset < CHINESE_WIDE;str_offset++)               
			{
				OLED_WrDat(~F16X16[adder]);//	
				adder += 1;
			}      
			OLED_Set_Pos(x,y + 1); //ʾ
			for(str_offset = 0;str_offset < CHINESE_WIDE;str_offset++)          
			{
				OLED_WrDat(~F16X16[adder]);
				adder += 1;
			}   		
		}
		else			  //ʾհַ			
		{
			ii += 1;
		  OLED_Set_Pos(x,y);
			for(str_offset = 0;str_offset < 16;str_offset++)
			{
					OLED_WrDat(0);
			}
			OLED_Set_Pos(x,y + 1);
			for(str_offset = 0;str_offset < 16;str_offset++)
			{   		
					OLED_WrDat(0);	
			}
		}
		x += CHINESE_WIDE;//ʾXƫ
		ii += 2;//ռ2ֽ
	}
}

/*
* 16X16
*/
void OLED_P16x16Str(unsigned char x,unsigned char y,unsigned char ch[])
{
	unsigned char str_offset = 0,ii = 0;//
	unsigned int adder = 1; //Ӧ
	
	while(ch[ii] != '\0')//ַǷβ
	{
		str_offset = 0;	//ַƫ
		adder = 1;		//ʼ
		/*
		* 	㺺
		*/
		while(CHINESE_Idx[str_offset] > 127)//жǷΪֵASCIIֵ
		{
			if(CHINESE_Idx[str_offset] == ch[ii])
			{
				if(CHINESE_Idx[str_offset + 1] == ch[ii + 1])
				{
					adder = str_offset * CHINESE_WIDE;//adder ȡ
					break;//
				}
			}
			str_offset += 2;//	ƫ		
		}
		if(x>122){x=0;y++;}
		OLED_Set_Pos(x , y); 
		if(adder != 1)// ʾ					
		{
			OLED_Set_Pos(x , y);//ǰʾ
			for(str_offset = 0;str_offset < CHINESE_WIDE;str_offset++)               
			{
				OLED_WrDat(F16X16[adder]);//	
				adder += 1;
			}      
			OLED_Set_Pos(x,y + 1); //ʾ
			for(str_offset = 0;str_offset < CHINESE_WIDE;str_offset++)          
			{
				OLED_WrDat(F16X16[adder]);
				adder += 1;
			}   		
		}
		else			  //ʾհַ			
		{
			ii += 1;
		  OLED_Set_Pos(x,y);
			for(str_offset = 0;str_offset < 16;str_offset++)
			{
					OLED_WrDat(0);
			}
			OLED_Set_Pos(x,y + 1);
			for(str_offset = 0;str_offset < 16;str_offset++)
			{   		
					OLED_WrDat(0);	
			}
		}
		x += CHINESE_WIDE;//ʾXƫ
		ii += 2;//ռ2ֽ
	}
}

//ɫʾ
//ַַֺ
void OLED_KPrint(unsigned char x, unsigned char y, unsigned char ch[])
{
	unsigned char buff[3];
	unsigned int ii=0;        
	while(ch[ii] != '\0')//жʾַǷβ
	{
		if(ch[ii] > 127)//ж->ASCII
		{
			buff[0] = ch[ii];
	 		buff[1] = ch[ii + 1];
			buff[2] = '\0';			//Ϊֽ
			OLED_P16x16KStr(x , y, buff);	//ʾ
			x += CHINESE_WIDE;//ʾƫ
			ii += 2;//ƫ
		}
		else//ж->ĸASCII
		{
			buff[0] = ch[ii];	
			buff[1] = '\0';			//ĸռһֽ
			OLED_P8x16KStr(x , y , buff);	//ʾĸ
			x += 8;//ʾƫ
			ii+= 1;//ƫ
		}
	}
} 

//ַַֺ
void OLED_Print(unsigned char x, unsigned char y, unsigned char ch[])
{
	unsigned char buff[3];
	unsigned int ii=0;        
	while(ch[ii] != '\0')//жʾַǷβ
	{
		if(ch[ii] > 127)//ж->ASCII
		{
			buff[0] = ch[ii];
	 		buff[1] = ch[ii + 1];
			buff[2] = '\0';			//Ϊֽ
			OLED_P16x16Str(x , y, buff);	//ʾ
			x += 16;//ʾƫ
			ii += 2;//ƫ
		}
		else//ж->ĸASCII
		{
			buff[0] = ch[ii];	
			buff[1] = '\0';			//ĸռһֽ
			OLED_P8x16Str(x , y , buff);	//ʾĸ
			x += 8;//ʾƫ
			ii+= 1;//ƫ
		}
	}
} 

//==============================================================
// void Draw_str( unsigned char *str)
//ʾBMPͼƬ12864
//ʼ(x,y),xķΧ0127yΪҳķΧ07
//أ
//==============================================================
// #if 1

// #define		CHAR_WIDTH 		8u
// #define		CHAR_HIGH		16u
// #define		STEP			16u			//(unsigned char)(128/CHAR_WIDTH)
// #define		STEP_FACT		22.5		//(float)((3.14*2)/STEP)

// #endif

//void Draw_str(unsigned char *str)
//{
//	unsigned char x,y,i,char_num;
//	unsigned char *temp;
//	for(i = 0;((*str = '\0')||i < STEP);i++)
//	{
//		y = 3;  //(unsigned char)(3.5f*(1.0f+sin(STEP_FACT*i)));//y ƫ
//		char_num = *str - 32;//ֺŶӦ
//		x = i*CHAR_WIDTH; //x ƫ
//		if(x >120)
//			{ x = 0;}
//			
//    OLED_Set_Pos(x,y);    
//  	for(i=0;i<CHAR_WIDTH;i++)  //ʾ   
//  	  {
//				OLED_WrDat(F8X16[char_num*16+i]);
//			}
//  	OLED_Set_Pos(x,y+1);    
//  	for(i=0;i<CHAR_WIDTH;i++)   //ʾ  
//  	  {
//				OLED_WrDat(F8X16[char_num*16+i+8]);
//			} 
//			
//		str++; //ַƫ
//	}
//	
//}

//==============================================================
// void Draw_BMP(unsigned char x,unsigned char y)
//ʾBMPͼƬ12864
//ʼ(x,y),xķΧ0127yΪҳķΧ07
//أ
//==============================================================
void Draw_LOGO(unsigned char * bmp)
{ 	
  unsigned int ii=0;
  unsigned char x,y;
  
	for(y=0;y<8;y++)
	{
		OLED_Set_Pos(0+DIS_ERR,y);				
    for(x=0;x<128;x++)
	    {      
	    	OLED_WrDat(bmp[ii++]);	    	
	    }
	}
}

//==============================================================
// char OLED_DrawImg(unsigned char x,unsigned char y,unsigned char whide,unsigned char high,unsigned char *str)
//ʾ(x,y)СΪwhide*highͼƬ
//ʼ(x,y),xķΧ0127yΪҳķΧ07
//أ0 Ϊ 
//==============================================================
char OLED_DrawImg(unsigned char x,unsigned char y,unsigned char whide,unsigned char high,unsigned char *str)
{
	unsigned char coln,page;
	high = high>>3;
	
	if(x+whide > X_WIDTH-1)			return 0;
	if(y+high > (Y_WIDTH>>3))	return 0;
	
	for(page = 0;page < (high);page++)
	{
		OLED_Set_Pos(x,y+page);
		for(coln = 0;coln < whide;coln++)
		{
			OLED_WrDat(*str++);
		}
	}
	return 1;
}


//==============================================================
// char OLED_DrawKImg(unsigned char x,unsigned char y,unsigned char whide,unsigned char high,unsigned char *str)
//ȡʾ(x,y)СΪwhide*highͼƬ
//ʼ(x,y),xķΧ0127yΪҳķΧ07
//أ0 Ϊ 
//==============================================================
char OLED_DrawKImg(unsigned char x,unsigned char y,unsigned char whide,unsigned char high,unsigned char *str)
{
	unsigned char coln,page;
	high = high>>3;
	if(x+whide > X_WIDTH-1)			return 0;
	if(y+high > (Y_WIDTH>>3))		return 0;
	
	for(page = 0;page < (high);page++)
	{
		OLED_Set_Pos(x,y+page);
		for(coln = 0;coln < whide;coln++)
		{
			OLED_WrDat(~(*str));
			str++;
		}
	}
	return 1;
}

#if(BEAT_IMG)

//==============================================================
// char OLED_DrawClr(unsigned char x,unsigned char y,unsigned char whide,unsigned char high)
//(x,y)СΪwhide*highĻ
//ʼ(x,y),xķΧ0127yΪҳķΧ07
//أ0 Ϊ 
//==============================================================
char OLED_DrawClr(unsigned char x,unsigned char y,unsigned char whide,unsigned char high)
{
	unsigned char coln,page;
	high /= 8;
	if(x+whide > X_WIDTH-1) return 0;
	if(y+high > ((Y_WIDTH/8)-1)) return 0;
	for(page = 0;page < (high);page++)
	{
		OLED_Set_Pos(x,y+page);
		for(coln = 0;coln < whide;coln++)
		{
			OLED_WrDat(0);	//
		}
	}
	return 1;
}

#endif

//void OLED_PrintU16(unsigned char x,unsigned char y,unsigned int num)
//{
//	unsigned char tmp[6],i;
//	tmp[5]=0;
//	tmp[4]=(unsigned char)(num%10+0x30);
//	tmp[3]=(unsigned char)(num/10%10+0x30);
//	tmp[2]=(unsigned char)(num/100%10+0x30);
//	tmp[1]=(unsigned char)(num/1000%10+0x30);
//	tmp[0]=(unsigned char)(num/10000%10+0x30);
//	
//	for(i=0;i<4;i++)
//	{
//		if(tmp[i]=='0')
//			tmp[i]=' ';
//		else
//			break;
//	}
//	
//	OLED_P6x8Str(x,y,tmp);
//	
//}
//void OLED_PrintFloat(unsigned char x,unsigned char y,float num) //ãñ
//{
//	unsigned char tmp[6],i;
//	tmp[5]=0;
//	num *= 10;
//	if(num>0)
//	{
//		tmp[0]='+';
//		tmp[4]=(unsigned char)((int)num%10+0x30);
//		tmp[3]=(unsigned char)((int)num/10%10+0x30);
//		tmp[2]=(unsigned char)((int)num/100%10+0x30);
//		tmp[1]=(unsigned char)((int)num/1000%10+0x30);
//	}
//	else
//	{
//		tmp[0]='-';
//		num=-num;
//		tmp[4]=(unsigned char)((int)num%10+0x30);
//		tmp[3]=(unsigned char)((int)num/10%10+0x30);
//		tmp[2]=(unsigned char)((int)num/100%10+0x30);
//		tmp[1]=(unsigned char)((int)num/1000%10+0x30);
//	}
//	for(i=0;i<4;i++)
//	{
//		if(tmp[i]=='0')
//			tmp[i]=' ';
//		else
//			break;
//	}
//	OLED_P6x8Str(x,y,tmp);
//}

//ʾ
void OLED_DisplayPower(unsigned char x,unsigned char y,unsigned char pwr)
{
	unsigned char i,a,b;
	unsigned char PwrLogo[128]= {0};
	
	for(i=0;i<128;i++)
	{
		*(PwrLogo+i) = *(IMG_POWER+pwr*128+i);
	}
	a = pwr/10;//ʮλ
	b = pwr%10;//λ
	for(i=40;i<48;i++)
	{
		PwrLogo[i] = PwrLogo[i] | F8X16[16*(16+a)+i-40];
	}
	for(i=48;i<56;i++)
	{
		PwrLogo[i] = PwrLogo[i] | F8X16[16*(16+b)+i-48];
	}
	for(i=72;i<80;i++)
	{
		PwrLogo[i] = PwrLogo[i] | F8X16[16*(16+a)+i+8-72];
	}
	for(i=80;i<88;i++)
	{
		PwrLogo[i] = PwrLogo[i] | F8X16[16*(16+b)+i+8-80];
	}
	OLED_DrawImg(x,y,32,32,PwrLogo);
}